Bug 1913567 - Tooltip data should be same for line chart or stacked chart, display data value same as the table
Summary: Tooltip data should be same for line chart or stacked chart, display data val...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-07 06:31 UTC by hongyan li
Modified: 2021-02-24 15:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
stacked chart (193.77 KB, image/png)
2021-01-07 06:31 UTC, hongyan li
no flags Details
linechart (187.93 KB, image/png)
2021-01-07 06:33 UTC, hongyan li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7763 0 None closed Bug 1913567: Monitoring: Change stacked graph tooltips to not use cumulative values 2021-02-21 08:00:51 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:51:11 UTC

Description hongyan li 2021-01-07 06:31:45 UTC
Created attachment 1745188 [details]
stacked chart

Description of problem:
Tooltip data should be same for line chart or stacked chart, display data value same as the table

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-07-005922

How reproducible:
always

Steps to Reproduce:
1.Go to monitoring-metrics
2.Perform query 'alertmanager_receivers'
3.

Actual results:
Tooltip data should be same for line chart or stacked chart, line chart display data same as table data and stacked chart display differently

Expected results:
Tooltip data should be same for line chart or stacked chart, display data value same as the table

Additional info:

Comment 1 hongyan li 2021-01-07 06:33:02 UTC
Created attachment 1745189 [details]
linechart

Comment 2 hongyan li 2021-01-07 07:09:04 UTC
It would be better display mouse corresponding area data when move mouse on stacked chart

Comment 4 hongyan li 2021-01-11 09:52:04 UTC
verified with payload 4.7.0-0.nightly-2021-01-10-070949
tooltip data display same as table data for both stacked chart and line chart

Comment 8 errata-xmlrpc 2021-02-24 15:50:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.